/*Copyright (C) 2019 Centro de Computacao Cientifica e Software Livre
Departamento de Informatica - Universidade Federal do Parana

This file is part of Plataforma Integrada MEC.

Plataforma Integrada MEC is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Plataforma Integrada MEC is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with Plataforma Integrada MEC.  If not, see <http://www.gnu.org/licenses/>.*/


import React from 'react'
import styled from 'styled-components'
import Breadcrumbs from '@material-ui/core/Breadcrumbs';
import { Link } from 'react-router-dom';

export default function CustomizedBreadcrumbs(props) {

    return (
        <BreadcrumbsDiv>
            <StyledBreadcrumbs contrast={props.contrast}>
                <Link to="/">
                    Página Inicial
                </Link>
                {
                    props.values.map((value, i) =>
                        <span key={i}>
                            {value}
                        </span>
                    )
                }
            </StyledBreadcrumbs>
        </BreadcrumbsDiv>
    )
}

const BreadcrumbsDiv = styled.div`
    padding : 10px;
    display : flex;
    justify-content : center;
    @media screen and (max-width: 768px) {
        margin-left : 10px;
    }
  `

const StyledBreadcrumbs = styled(Breadcrumbs)`
    display : flex;
    justify-content : flex-start;
    max-width : 1170px;
    a{
        color: ${props => props.contrast === "" ? "#00bcd4" : "yellow"};
        text-decoration: ${props => props.contrast === "" ? "none" : "underline"};
    }
    span {
        color: ${props => props.contrast === "" ? "#a5a5a5" : "white"};
    }
`
